package com.bonus.canteen.core.marketing.coupon.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;

public class MktCouponMobileUsableVO {
   @ApiModelProperty("餐券编号")
   private String couponNum;
   @ApiModelProperty("餐券名称")
   private String couponName;
   @ApiModelProperty("有效期")
   private LocalDate effectDateStart;
   @ApiModelProperty("有效期")
   private LocalDate effectDateEnd;
   @ApiModelProperty("餐券金额")
   private BigDecimal couponAmount;

   public String getCouponNum() {
      return this.couponNum;
   }

   public String getCouponName() {
      return this.couponName;
   }

   public LocalDate getEffectDateStart() {
      return this.effectDateStart;
   }

   public LocalDate getEffectDateEnd() {
      return this.effectDateEnd;
   }

   public BigDecimal getCouponAmount() {
      return this.couponAmount;
   }

   public void setCouponNum(final String couponNum) {
      this.couponNum = couponNum;
   }

   public void setCouponName(final String couponName) {
      this.couponName = couponName;
   }

   public void setEffectDateStart(final LocalDate effectDateStart) {
      this.effectDateStart = effectDateStart;
   }

   public void setEffectDateEnd(final LocalDate effectDateEnd) {
      this.effectDateEnd = effectDateEnd;
   }

   public void setCouponAmount(final BigDecimal couponAmount) {
      this.couponAmount = couponAmount;
   }
}
